const messages = {
    multilingual_elements_add_icon_hover: "Add in another language",
    multilingual_elements_remove_icon_hover: "Remove",
    group_elements_create: "Fill in",
    group_elements_remove: "Remove",
    array_elements_add: "Add",
    array_elements_remove: "Remove",
    corpus_part_add: "Add another",
    icon_hover_lock: "You cannot edit this item",
    icon_hover_actions: "Actions",
    dashboard_my_items: "My items",
    dashboard_status_facet: "Status",
    dashboard_items_facet: "Items",
    dashoard_items_clear_filters: "Clear all filters",
    dashboard_my_validations: "My Validations",
    dashboard_my_usage: "My Usage",
    dashboard_my_downloads: "My Downloads",
    dashboard_legally_valid_facet: "Legally valid",
    dashboard_metadata_valid_facet: "Metadata valid",
    dashboard_technically_valid_facet: "Technically valid",
    dashboard_functional_service_facet: "ELG-compatible service",
    dashboard_service_status_facet: "Service registration status",
    dashboard_hasdata_facet: "Has data",
    dashboard_validation_facet: "Validator assignment required",
    dashboard_curator_facet: "Curator",
    dashboard_resubmitted_facet: "Resubmitted",

    validator_action_metadata: "Perform metadata validation",
    validator_action_legal: "Perform legal validation",
    validator_action_technical: "Perform metadata/technical validation",
    validator_action_metadata_secondary: "Validate",
    validator_action_legal_secondary: "Validate",
    validator_action_technical_secondary: "Validate",
    validator_action_service_registration: "Perform service registration",
    validator_action_service_registration_secondary: "Service registration",

    editor_generic_person: "Person",
    editor_generic_organization: "Organization",
    editor_generic_group: "Group",

    editor_under_construction: `If the metadata record is for a resource that you plan to deliver later, please check the "work in progress" box.`,
    label_under_construction: "Work in progress",
    label_functional_service: "ELG-compatible service",
    label_functional_service_proxied: "ELG-compatible service (service running on the provider's side)",
    label_service_compliant_dataset: "ELG-compatible lcr",
    label_xml_upload_with_data: "Submit data after xml",
    label_hosted_at_elg: "hosted in ELG",

    show_less: "Show less",
    show_more: "Show more",
    search: "Search",
    previous: "Previous",
    next: "Next",
    dashboard_search_box: "Search for services, tools, datasets, organizations...",

    dialog_upload_file: "Please select a .zip, .tar or .gz file in order to upload a dataset for this record",
    dialog_upload_file_wait: "Please wait while we are uploading your dataset",

    dialog_validationResponse: "Please wait while we are checking the consistency of the metadata...",
    dialog_foundValidationError: "Correct the following errors in order to proceed",
    dialog_validationResponse_proceed_button: "Proceed",
    dialog_validationResponse_close_button: "Close",
    dialog_functional_service_info_message: "You will find more information at:",
    dialog_functional_service_infoLink_message: "https://european-language-grid.readthedocs.io/en/stable/all/3_Contributing/Service.html",
    dialog_functional_service_title_message: "Do you want to contribute a tool that will be integrated in ELG as an ELG-compatible service (i.e., available through the ELG APIs)?",
    dialog_service_compliant_dataset_title_message: "Do you want to contribute a language conceptual resource that will be integrated in ELG?",
    editor_button_save: "Save",
    editor_button_savedraft: "Save draft",
    editor_remove_division: "You are about to remove division from the form. Are you sure?",
    editor_remove_distribution: (index) => `You are about to remove distribution ${index + 1} from the form. Are you sure?`,
    editor_remove_input_content_resource: (label, index) => `You are about to remove ${label} ${index + 1} from the form. Are you sure?`,
    editor_remove_corpus_part: (index, corpus_media_type) => `You are about to remove  ${corpus_media_type} ${index + 1} from the form. Are you sure?`,
    editor_remove_lcr_part: (index, lcr_media_type) => `You are about to remove  ${lcr_media_type} ${index + 1} from the form. Are you sure?`,
    editor_remove_annotation: (index) => `You are about to remove annotation ${index + 1} from the form. Are you sure?`,
    editor_remove_ld_subclass_type: (ld_subclass_type) => `You are about to remove ${ld_subclass_type} from the form. Are you sure?`,

    editor_create: "You are about to create ",
    editor_create_confirmation: ". Are you sure?",
    editor_create_first_part: "You are about to ",

    editor_action_ingest_primary: "Submit for publication",
    editor_action_ingest_secondary: "Submit", //this is for the switch case inside the source code
    editor_action_unpublish_primary: "Request to unpublish",
    editor_action_unpublish_secondary: "Unpublish",
    editor_action_delete_primary: "Delete",
    editor_action_delete_secondary: "Delete",
    editor_action_replace_data: "Replace content files",
    editor_action_export_data: "Export metadata",
    editor_action_deactivate_vesrion_primary: "Deactivate version",
    editor_action_deactivate_version_secondary: "Deactivate version",


    editor_action_edit_primary: "Edit Metadata",
    editor_action_edit_secondary: "Edit", //this is for the switch case inside the source code
    editor_action_landing_page_delete_primary: "Delete Metadata",
    editor_action_landing_page_delete_secondary: "Delete",
    editor_action_upload_data_primary: "Upload content files",
    editor_action_upload_data_secondary: "Upload",
    editor_action_create_version_primary: "Create new version",
    editor_action_create_vesrsion_secondary: "versioning",
    editor_action_create_copy_primary: "Copy record",
    editor_action_create_copy_secondary: "copy",

    editor_bulk_ingest: "The following records will not be submitted because they are not meet the status requirements.",
    editor_bulk_general_message: "The following records will not be submitted because they are not meet the requirements.",

    editor_action_claim_primary: "Claim Metadata",
    editor_action_claim_secondary: "Claim", //this is for the switch case inside the source code
    editor_action_claimed: "Claimed",
    claim_full_text: "To help us process your request, we recommend the use of an account linked to a professional email address (e.g., of your affiliation). Once the claim request has been approved, you will be notified and proceed to edit your record.",
    claim_intro_text: "Please log in to claim this record.",
    claim_success_message: "Record claimed successfully. You will be notified by email when we process your request.",
    claim_button_hover: "Record created by ELG. It can be claimed for further enrichment.",
    request_for_unpublish_button_hover: "You have already made a request to unpublish this record. The elg team will review your request.",

    lookup_organization: "Check if the organization is already listed in the catalogue",
    lookup_project: "Check if the project is already listed in the catalogue",
    lookup_tool: "Check if the tool/service is already listed in the catalogue",
    lookup_corpus: "Check if the corpus is already listed in the catalogue",
    lookup_ld: "Check if the language description is already listed in the catalogue",
    lookup_model: "Check if the model is already listed in the catalogue",
    lookup_grammar: "Check if the grammar is already listed in the catalogue",
    lookup_lcr: "Check if the lexical conceptual resource is already listed in the catalogue",
    lookup_nomatch: "No matches",

    lookup_edit_tooltip: "Edit",
    lookup_edit_button: "Edit",
    lookup_lock_tooltip: "Item in edit status by another user", //need a better text
    lookup_lock_unpublish_tooltip: "Unpublished item", //need a better text
    lookup_unpublish_button_text: "Unpublish",
    lookup_unpublish_button_tooltip: "Unpublish the record so you can edit it",

    go_back_editor_message: "Go to item type selection",
    go_back_catalog_message: "Go to catalogue",

    published_tag: "published",
    ingested_tag: "submitted",
    internal_tag: "syntactically valid",
    draft_tag: "draft",

    status_published_message: "Your metadata record has been published and can no longer be edited",
    status_ingested_message: "Your metadata record has been submitted for technical validation by the ELG team and can no longer be edited; you will be notified when it is published or, if needed, for further information",
    status_internal_message: "You can continue editing your metadata record while the status is draft or syntactically valid; when you are satisfied with it, you can submit it for publication; the ELG team will check for conformance with technical requirements and publish it or, if required, contact you for futher information",
    status_draft_message: "Your metadata record is saved but may be syntactically invalid; you can continue editing but before you can submit it for publication, it will be checked for syntactic inconsistencies",

    landing_page_claim: "Claim",
    condition_of_use_hover_text: "Indicative conditions of use for search purposes. Please read the licence to ensure that you can use the resource for your purposes.",
    intended_application_hover_text: "Intended LT applications",
    elg_integrated_services_and_data_hover_text: "ELG integrated services and data",
    source_hover_text: "Source of metadata record",
    source_facet_text: "Source",
    linguality_type_hover_text: "Linguality type",
    multilinguality_type_hover_text: "Multilinguality type",
    media_type_hover_text: "Media types",
    language_dependent_hover_text: "Language dependent services",
    distribution_download_authorized_users: "Access is allowed only to authorized users",
    distribution_download_logged_in_users: "Access is allowed only to logged in users"
}
export default messages;